function loadMap(nr)
    -- load map nr
    local array = {}--array for map
    local iarray = {} --array for items
    
    local line = ""
    local workline = ""
    local i = 1
    
    for line in love.filesystem.lines("map"..nr..".txt") do
        if string.find(line, "I") then
            --what items can we use?
            print("vi har några items!")
            workline = string.sub(line, 3, -1)
            print(workline)
            iarray = split(workline, " ")
            for i,v in ipairs(iarray) do
                array[i] = tonumber(v)
            end
        else
            --add to map
            print(line)
            array[i] = {}
            array[i] = split(line, " ")
            for i,v in ipairs(array[i]) do
                v = tonumber(v)
            end
            i = i + 1
        end
    end

    return array, iarray
end

function drawMap(map, tiles)
    --drawing the map!
    local x = 0
    local y = 0

    for o=1, 20 do
        for i=1, 15 do
            if map[o][i] ~= 0 and o <= 20 and o >= 0 and i >= 0 and i <= 13 then
                if map[o][i] ~= 0 then
                    love.graphics.drawq(imageTiles, tiles[tonumber((map[o][i]))], x, y)
                end
            end
            y = y + 40
        end
        x = x + 40
        y = 0
    end
end


function loadtiles(tiles)
    wholeW = tiles:getWidth()
    wholeH = tiles:getHeight()
    
    local tilemap = {}
    for o=0, math.floor(wholeH/40-1) do
        for i=0, math.floor(wholeW/40-1) do
            table.insert(tilemap, love.graphics.newQuad(i*40, o*40, 40, 40, wholeW, wholeH))
        end
    end
    return tilemap
end


function split(s,d)
    -- i come from a python background... I need a split function!
    -- found this online :)
   local t = {}
   local i = 0
   local f
   local match = '(.-)' .. d .. '()'
   if string.find(s, d) == nil then
      return {s}
   end
   for sub, j in string.gfind(s, match) do
         i = i + 1
         t[i] = tonumber(sub)
         f = j
   end
   if i~= 0 then
      t[i+1]=string.sub(s,f)
   end
   return t
end